Bug 62245 - Make the complex text input state a tri-state enum instead of a boolean
Summary: Make the complex text input state a tri-state enum instead of a boolean
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-07 15:44 PDT by Anders Carlsson
Modified: 2011-08-19 15:50 PDT (History)
4 users (show)

See Also:


Attachments
Patch (27.00 KB, patch)
2011-06-07 15:46 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (27.60 KB, patch)
2011-08-19 15:44 PDT, Anders Carlsson
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2011-06-07 15:44:29 PDT
Make the complex text input state a tri-state enum instead of a boolean
Comment 1 Anders Carlsson 2011-06-07 15:46:45 PDT
Created attachment 96318 [details]
Patch
Comment 2 Darin Adler 2011-06-18 11:31:49 PDT
This patch was never landed. Is it still needed?
Comment 3 Anders Carlsson 2011-06-18 12:08:51 PDT
(In reply to comment #2)
> This patch was never landed. Is it still needed?

Yes.
Comment 4 Darin Adler 2011-06-18 12:09:35 PDT
Comment on attachment 96318 [details]
Patch

Lets try the commit queue, then.
Comment 5 WebKit Review Bot 2011-06-18 12:54:00 PDT
Comment on attachment 96318 [details]
Patch

Rejecting attachment 96318 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-01', '--port..." exit_code: 2

Last 500 characters of output:
gins/PluginView.h
patching file Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.cpp
Hunk #1 succeeded at 75 (offset 1 line).
patching file Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h
patching file Source/WebKit2/WebProcess/Plugins/Netscape/mac/NetscapePluginMac.mm
patching file Source/WebKit2/WebProcess/Plugins/Netscape/mac/PluginProxyMac.mm

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Sam Weinig', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/8881935
Comment 6 Anders Carlsson 2011-08-19 15:44:41 PDT
Created attachment 104583 [details]
Patch
Comment 7 Anders Carlsson 2011-08-19 15:50:52 PDT
Committed r93447: <http://trac.webkit.org/changeset/93447>